Subject: bug#2398: 23.0.90;MUSTMATCH read-file-name arg, confirm-nonexistent-file-or-buffer

From: "Drew Adams" <[email-masked]>
Date: Sun, 24 May 2009 16:32:12 -0700

> 2. Similarly, the Elisp manual seems incorrect. You are not 
> REQUIRED to enter the name of an existing file, if MUSTMATCH is, say,
> `confirm-after-completion'.  Completion is still lax in this case;
> it's just that you must confirm that you want a non-existing file
> name.

Not fixed. The manual still says that read-file-name argument REQUIRE-MATCH has
the same meaning as for `completing-read'. And it says nothing about the special
values for this argument and the new behavior they effect.

> 3. Beyond the fact that the doc is inaccurate (and confusing) on this
> matter, the new behavior also breaks existing code. Any code that
> passed a non-nil non-t value in order to guarantee that the value
> returned by the function names an existing file is now broken.

Not fixed.

> 4. The user option `confirm-nonexistent-file-or-buffer' is not even
> documented in this regard in the Elisp manual.

Not fixed.